From: Jean Delvare <jdelvare@suse.de>
To: LKML <linux-kernel@vger.kernel.org>
Cc: Andrew Morton <akpm@linux-foundation.org>
Subject: [PATCH] Lindent: Handle missing indent gracefully
Date: Fri, 10 Jul 2015 13:47:51 +0200 [thread overview]
Message-ID: <20150710134751.624de706@endymion.delvare> (raw)
If indent is not found, bail out immediately instead of spitting
random shell script error messages.
Signed-off-by: Jean Delvare <jdelvare@suse.de>
---
scripts/Lindent | 3 +++
1 file changed, 3 insertions(+)
--- linux-4.2-rc0.orig/scripts/Lindent 2015-06-22 07:05:43.000000000 +0200
+++ linux-4.2-rc0/scripts/Lindent 2015-07-10 13:45:56.864031472 +0200
@@ -1,6 +1,9 @@
#!/bin/sh
PARAM="-npro -kr -i8 -ts8 -sob -l80 -ss -ncs -cp1"
RES=`indent --version`
+if [ "$RES" = "" ]; then
+ exit 1
+fi
V1=`echo $RES | cut -d' ' -f3 | cut -d'.' -f1`
V2=`echo $RES | cut -d' ' -f3 | cut -d'.' -f2`
V3=`echo $RES | cut -d' ' -f3 | cut -d'.' -f3`
--
Jean Delvare
SUSE L3 Support
next reply other threads:[~2015-07-10 11:48 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-07-10 11:47 Jean Delvare [this message]
2015-07-10 11:51 ` Joe Perches
2015-07-10 13:36 ` Jean Delvare
2015-07-10 17:04 ` Joe Perches
2015-07-10 21:37 ` Andrew Morton
2015-07-11 12:56 ` Joe Perches
2015-07-15 21:15 ` Jean Delvare
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20150710134751.624de706@endymion.delvare \
--to=jdelvare@suse.de \
--cc=akpm@linux-foundation.org \
--cc=linux-kernel@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®